Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecdatasectionnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecdatasectionnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a CDATASection Node is cdata-section".

Retrieve the CDATASection node inside the second child of the second employee and check the string returned by the "getNodeName()" method. It should be equal to "cdata-section".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-667469212

Definition at line 46 of file nodecdatasectionnodename.java.

## Constructor & Destructor Documentation

nodecdatasectionnodename::nodecdatasectionnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file nodecdatasectionnodename.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String nodecdatasectionnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file nodecdatasectionnodename.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecdatasectionnodename";
    00070    }

void nodecdatasectionnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file nodecdatasectionnodename.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(nodecdatasectionnodename.class,args);
    00073    }

void nodecdatasectionnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file nodecdatasectionnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       NodeList elementList;
    00057       Element cdataName;
    00058       Node cdataNode;
    00059       String cdataNodeName;
    00060       doc = load("staff");
    00061       elementList = doc.getElementsByTagName("name");
    00062       cdataName = (Element)elementList.item(1);
    00063       cdataNode = cdataName.getLastChild();
    00064       cdataNodeName = cdataNode.getNodeName();
    00065       assertEquals("nodeCDATASectionNodeNameAssert1","#cdata-section",cdataNodeName);
    00066
    00067    }

The documentation for this class was generated from the following file:

- nodecdatasectionnodename.java